# Time-stamp: <00/02/02 05:28:39 i2c.spec wbosse@berlin.snafu.de>

%define version      2.4.5
%define tarname      i2c-%{version}
%define kversion     %(uname -r)
%define mversion     %(echo %{kversion} | sed 's|-[^-]*$||')
%define mname        i2c_%{mversion}
%define moddir       /lib/modules/%{kversion}/misc
%define include_root /usr/local

Summary: i2c drivers (aka the 'Simon Vogl' drivers)
Name: i2c
Version: %{version}
Release: 2
Copyright: GPL
Group: System Environment/Kernel
Source: http://www2.lm-sensors.nu/~lm78/archive/%{tarname}.tar.gz
Buildroot: /var/tmp/%{name}
Packager: Werner Bosse <wbosse@berlin.snafu.de>
%description
The 'i2c*' packages contain all the basic i2c code, as well as a few bus
drivers (both the algorithm and the adapter drivers). There are no real chip
drivers, so on its own it is not very useful. Lots of chip drivers, as well as
more bus drivers and some additional basic code (for SMBus emulation over i2c)
are found in the lm_sensors package, which is distributed separately from this
package, mainly for historical reasons. Another place at which I2C is used is
the video4linux project.

This package contains only the kernel version independent parts: header files
and documentation. These files were separated from the corresponding kernel
modules to enable parallel installation of i2c kernel modules for different
kernel versions. Header files will be installed below %{include_root}/include/linux.

%package -n %{mname}
Summary: i2c kernel modules (aka the 'Simon Vogl' drivers)
Group: System Environment/Kernel
%description -n %{mname}
This sub-package contains the i2c modules built for kernel %{kversion}.

%changelog
* Wed Feb 02 2000 Werner Bosse <wbosse@berlin.snafu.de>
- built %{version} for %{kversion} on Redhat 6.1

%prep
%setup

%build
if [ -e /proc/cpuinfo ] ; then
  cpus=`cat /proc/cpuinfo | grep -c processor`
  cpus=-j`expr $cpus + 1`
else
  cpus=
fi
time make $cpus MODDIR=%{moddir} DESTDIR=$RPM_BUILD_ROOT all

%install
make MODDIR=%{moddir} DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT/lib -type f | sed "s|^$RPM_BUILD_ROOT||" >%{name}.files

%post -n %{mname}
  depmod -a

%postun -n %{mname}
  depmod -a

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_ROOT.files

%files 
%attr(-, root, root) %doc DIRECTORIES INSTALL TODO IMPORTANT_CHANGES README doc
%attr(-, root, root) %{include_root}/include/linux/*

%files -f %{name}.files -n %{mname}
%defattr(-, root, root)
